<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:p="http://primefaces.org/ui"
      xmlns:h="http://xmlns.jcp.org/jsf/html">

    <h:head>
        <meta charset="utf-8"></meta>
        <meta http-equiv="X-UA-Compatible" content="IE=edge"></meta>
        <title>Lugar Certo Viagens a assistencia que você precisa</title>
        <meta name="description" content=""></meta>
        <meta name="viewport" content="width=device-width, initial-scale=1"></meta>
        <meta name="robots" content="all,follow"></meta>
        <!-- Bootstrap CSS-->
        <link rel="stylesheet" href="vendor/bootstrap/css/bootstrap.min.css"></link>
        <!-- Font Awesome CSS-->
        <link rel="stylesheet" href="vendor/font-awesome/css/font-awesome.min.css"></link>
        <!-- Google fonts - Roboto-->
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Roboto:300,400,700"></link>
        <!-- Bootstrap Select-->
        <link rel="stylesheet" href="vendor/bootstrap-select/css/bootstrap-select.min.css"></link>
        <!-- theme stylesheet-->
        <link rel="stylesheet" href="css/style.default.css" id="theme-stylesheet"></link>
        <!-- Favicon and apple touch icons-->
        <link rel="shortcut icon" href="img/favicon.ico" type="image/x-icon"></link>

    </h:head>

    <h:body>
        <div id="all">
            <!-- Top bar-->
            <div class="top-bar">
                <div class="container">
                    <div class="row d-flex align-items-center">
                        <div class="col-md-6 d-md-block d-none">
                            <p>Contato: (27)99999-9999  email: lugarcertoviagens@gmail.com</p>
                        </div>
                        <div class="col-md-6">
                            <div class="d-flex justify-content-md-end justify-content-between">
                                <ul class="list-inline contact-info d-block d-md-none">
                                    <li class="list-inline-item"><a href="#"><i class="fa fa-phone"></i></a></li>
                                    <li class="list-inline-item"><a href="#"><i class="fa fa-envelope"></i></a></li>
                                </ul>

                                <!-- Gerenciamento de icone ps: lembrar de colocar  funções neles-->
                                <ul class="social-custom list-inline">
                                    <li class="list-inline-item"><a href="#"><i class="fa fa-facebook"></i></a></li>
                                    <li class="list-inline-item"><a href="#"><i class="fa fa-google-plus"></i></a></li>
                                    <li class="list-inline-item"><a href="#"><i class="fa fa-twitter"></i></a></li>
                                    <li class="list-inline-item"><a href="#"><i class="fa fa-envelope"></i></a></li>
                                </ul>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- Top bar end-->
            <!-- Navbar Start-->
            <header class="nav-holder make-sticky">
                <div id="navbar" role="navigation" class="navbar navbar-expand-lg">
                    <div class="container"><a href="index.html" class="navbar-brand home">

                            <!-- logo da empresa definido um tamanho de 250x80 px-->
                            <img src="img/Logo_cabecalho.png" alt="Lugar Certo Viagens logo" class="d-none d-md-inline-block"/><img src="img/Logo_cabecalho.png" alt="Lugar Certo Viagens" class="d-inline-block d-md-none"/><span class="sr-only">Lucar Certo Viagens - Home</span></a>
                        <button type="button" data-toggle="collapse" data-target="#navigation" class="navbar-toggler btn-template-outlined"><span class="sr-only">Toggle navigation</span>


                            <!-- menu de opções no index principal -->
                            <i class="fa fa-align-justify"></i></button>
                        <div id="navigation" class="navbar-collapse collapse">
                            <ul class="nav navbar-nav ml-auto">

                                <!-- home: e suas opções -->
                                <li class="nav-item dropdown active"><a href="javascript: void(0)" data-toggle="dropdown" class="dropdown-toggle">Home <b class="caret"></b></a>
                                    <ul class="dropdown-menu">
                                        <li class="dropdown-item"><a href="index.html" class="nav-link">Página Inicial</a></li>
                                    </ul>
                                </li>




                                <li class="nav-item dropdown menu-large"><a href="#" data-toggle="dropdown" data-hover="dropdown" data-delay="200" class="dropdown-toggle">Informação <b class="caret"></b></a>
                                    <ul class="dropdown-menu megamenu">
                                        <li>
                                            <div class="row">
                                                <div class="col-md-6 col-lg-3">

                                                    <h5>Menu</h5>
                                                    <ul class="list-unstyled mb-3">
                                                        <li class="nav-item"><a href="africa.html" class="nav-link">África</a></li>
                                                        <li class="nav-item"><a href="america.html" class="nav-link">América</a></li>
                                                        <li class="nav-item"><a href="asia.html" class="nav-link">Ásia</a></li>
                                                        <li class="nav-item"><a href="europa.html" class="nav-link">Europa</a></li>
                                                        <li class="nav-item"><a href="oceania.html" class="nav-link">Oceania</a></li>
                                                    </ul>

                                                </div>
                                                <div class="col-md-6 col-lg-3">
                                                    <h5>Empresa</h5>
                                                    <ul class="list-unstyled mb-3"> 					
                                                        <li class="nav-item"><a href="quem_somos.html" class="nav-link">Quem Somos</a></li> 
                                                    </ul>

                                                </div>
                                            </div>
                                        </li>
                                    </ul>
                                </li>

                                <!-- ========== Contato==================-->
                                <li class="nav-item dropdown"><a href="javascript: void(0)" data-toggle="dropdown" class="dropdown-toggle">Contato <b class="caret"></b></a>
                                    <ul class="dropdown-menu">
                                        <li class="dropdown-item"><a href="equipe.html" class="nav-link">Equipe</a></li>
                                    </ul>
                                </li>			  			  
                            </ul>
                        </div>
                    </div>
                </div>
            </header>
            <!-- Navbar fim-->

            <h:form prependId="false">
                <div id="heading-breadcrumbs">
                    <div class="container">
                        <div class="row d-flex align-items-center flex-wrap">
                            <div class="col-md-7">
                                <h1 class="h2">Nova Conta / Login</h1>
                            </div>
                            <div class="col-md-5">
                                <ul class="breadcrumb d-flex justify-content-end">
                                    <li class="breadcrumb-item"><a href="index.html">Home</a></li>
                                    <li class="breadcrumb-item active">Nova Conta / Login</li>
                                    <li class="breadcrumb-item"><a href="painel_usuario.html">Painel de usuario </a></li>
                                    <li class="breadcrumb-item active">
                                        <h:commandLink value="Logout" action="#{loginBean.logout}" rendered="#{loginBean.logado}"  />
                                    </li>
                                </ul>
                            </div>
                        </div>
                    </div>
                </div>

            </h:form>
            <div id="content">
                <div class="container">
                    <div class="row">
                        <div class="col-lg-6">
                            <div class="box">
                                <h2 class="text-uppercase">Nova Conta</h2>
                                <p class="lead">Não esta registrado ainda?</p>
                                <p>É facíl e gasta menos de um 2 minutos!</p>
                                <p class="text-muted">Se tiver alguma duvida entre em <a href="">contato conosco</a>.</p>
                                <hr/>
                                <h:form prependId="false" id="formCadastro">

                                    <h:inputHidden value="#{loginBean.usuarioLogado.id}" />

                                    <div class="form-group">
                                        <h:outputLabel  for="nome" value="Nome:" />
                                        <p:inputText id="nome" type="text" class="form-control" value="#{loginBean.usuarioLogado.nome}"/>
                                        <p:message for="nome" />
                                    </div>
                                    <div class="form-group">
                                        <h:outputLabel  for="sobrenome" value="Sobrenome:" />
                                        <p:inputText id="sobrenome" type="text" class="form-control" value="#{loginBean.usuarioLogado.sobrenome}"/>
                                    </div>
                                    <div class="form-group">
                                        <h:outputLabel  for="endereco" value="Endereço:" />
                                        <p:inputText id="endereco" type="text" class="form-control" value="#{loginBean.usuarioLogado.endereco}"/>
                                    </div>
                                    <div class="form-group">
                                        <h:outputLabel  for="complemento" value="Complemento:" />
                                        <p:inputText id="complemento" type="text" class="form-control" value="#{loginBean.usuarioLogado.complemento}"/>
                                    </div>
                                    <div class="form-group">
                                        <h:outputLabel for="cpf" value="CPF:" />
                                        <p:inputText id="cpf" type="text" class="form-control" value="#{loginBean.usuarioLogado.cpf}"/>
                                    </div>
                                    <div class="form-group">
                                        <h:outputLabel  for="cep" value="CEP:" />
                                        <p:inputText id="cep" type="text" class="form-control" value="#{loginBean.usuarioLogado.cep}"/>
                                    </div>
                                    <div class="form-group">
                                        <h:outputLabel  for="estado" value="Estado:" />
                                        <p:inputText id="estado" type="text" class="form-control" value="#{loginBean.usuarioLogado.estado}"/>
                                    </div>
                                    <div class="form-group">
                                        <h:outputLabel  for="cidade" value="Cidade:" />
                                        <p:inputText id="cidade" type="text" class="form-control" value="#{loginBean.usuarioLogado.cidade}"/>
                                    </div>
                                    <div class="form-group">
                                        <h:outputLabel  for="telefone" value="Telefone:" />
                                        <p:inputText id="telefone" type="text" class="form-control" value="#{loginBean.usuarioLogado.telefone}"/>
                                    </div>
                                    <div class="form-group">
                                        <h:outputLabel  for="emailcadastro" value="Email:" />
                                        <p:inputText id="emailcadastro" type="text" class="form-control" value="#{loginBean.usuarioLogado.email}"/>
                                    </div>
                                    <div class="form-group">
                                        <h:outputLabel  for="senha" value="Senha:" />
                                        <p:inputText id="senha" type="password" class="form-control" value="#{loginBean.usuarioLogado.senha}"/>
                                    </div>
                                    <div class="text-center">
                                        <p:commandButton type="submit" class="btn btn-template-outlined" value="Registrar" actionListener="#{loginBean.salvar}" />
                                    </div>
                                    <br/>
                                    <div class="text-center">
                                        <p:commandButton type="reset" class="btn btn-template-outlined" value="Limpar" />
                                    </div>
                                </h:form>
                            </div>
                        </div>
                        <div class="col-lg-6" style="#{loginBean.logado ? 'display: none' : ''}">
                            <div class="box">
                                <h2 class="text-uppercase">Login</h2>
                                <p class="lead">Já esta cadastrado?</p>
                                <p class="text-muted"></p>
                                <hr/>
                                <h:form prependId="false" id="formLogin">
                                    <p:growl id="growl" autoUpdate="true" />
                                    <div class="form-group">
                                        <h:outputLabel  for="email" value="Email:" />
                                        <p:inputText id="email" type="text" class="form-control" required="true" requiredMessage="Campo Email obrigatorio" value="#{loginBean.usuario.email}"/>
                                    </div>
                                    <div class="form-group">
                                        <h:outputLabel  for="senha" value="Senha:" />
                                        <p:inputText id="password" type="password" class="form-control" value="#{loginBean.usuario.senha}"/>
                                    </div>
                                    <div class="text-center">
                                        <p:commandButton type="submit" class="btn btn-template-outlined" value="Log in" action="#{loginBean.logar}" ajax="false" />
                                    </div>
                                </h:form>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- GET IT-->
            <div class="get-it">
                <div class="container">
                    <div class="row">
                        <div class="col-lg-8 text-center p-3">
                            <h3>Venha nos conhecer melhor!</h3>
                            <h:outputText value="#{loginBean.logado}" />
                        </div>
                        <div class="col-lg-4 text-center p-3">   <a href="quem_somos.html" class="btn btn-template-outlined-white">Informações</a></div>
                    </div>
                </div>
            </div>
        </div>
        <!-- Javascript files-->
        <script src="vendor/jquery/jquery.min.js"></script>
        <script src="vendor/popper.js/umd/popper.min.js"></script>
        <script src="vendor/bootstrap/js/bootstrap.min.js"></script>
        <script src="vendor/jquery.cookie/jquery.cookie.js"></script>
        <script src="vendor/waypoints/lib/jquery.waypoints.min.js"></script>
        <script src="vendor/jquery.counterup/jquery.counterup.min.js"></script>
        <script src="vendor/owl.carousel/owl.carousel.min.js"></script>
        <script src="vendor/owl.carousel2.thumbs/owl.carousel2.thumbs.min.js"></script>
        <script src="js/jquery.parallax-1.1.3.js"></script>
        <script src="vendor/bootstrap-select/js/bootstrap-select.min.js"></script>
        <script src="vendor/jquery.scrollto/jquery.scrollTo.min.js"></script>
        <script src="js/front.js"></script>
    </h:body>

</html>

